1. Technology
You can opt-out at any time. Please refer to our privacy policy for contact information.

Install Alongside Ruby 1.8.x--Upgrading to Ruby 1.9.1

By

February 2009

If you're looking to install Ruby 1.9.1 on your Linux machine, it will be some time before distributions can create packages for the Ruby 1.9.1 interpreter. However, you can install and upgrade it yourself, alongside Ruby 1.8.x, and start exploring the new features of Ruby 1.9.1 right now. Installation does take a little more effort since you will be compiling from source, but it won't conflict with your existing Ruby installation.

This tutorial covers installation on Ubuntu 8.10. Though your distro might be different, the basic concept is the same. Refer to your distro's documentation about how to complete the first step, since all the other steps should be the same.

  1. About.com
  2. Technology
  3. Ruby
  4. Tutorials
  5. Installing Ruby
  6. Install 1.9.x Alongside Ruby 1.8.x

©2014 About.com. All rights reserved.